Package org.apache.avro.mojo

# Class IDLProtocolMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.avro.mojo.AbstractAvroMojo
org.apache.avro.mojo.IDLMojo
org.apache.avro.mojo.IDLProtocolMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

public class IDLProtocolMojo extends IDLMojo
Generate Java classes and interfaces from AvroIDL files (.avdl)

## Field Summary

### Fields inherited from class org.apache.avro.mojo.AbstractAvroMojo

`createNullSafeAnnotations, createOptionalGetters, createSetters, customConversions, customLogicalTypeFactories, enableDecimalLogicalType, excludes, gettersReturnOptional, imports, nullSafeAnnotationNotNull, nullSafeAnnotationNullable, optionalGettersForNullableFieldsOnly, project, stringType, templateDirectory, testExcludes, velocityToolsClassesNames`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`IDLProtocolMojo()`

## Method Summary

### Methods inherited from class org.apache.avro.mojo.IDLMojo

`doCompile, getIncludes, getTestIncludes`

### Methods inherited from class org.apache.avro.mojo.AbstractAvroMojo

`createClassLoader, doCompile, doCompile, doCompile, execute, findClasspath, getFieldVisibility, instantiateAdditionalVelocityTools, setCompilerProperties`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IDLProtocolMojo

public IDLProtocolMojo()